GNU Radio C++ API Reference: alist Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
alist Class Reference

`#include <gnuradio/fec/alist.h>`

## Public Member Functions
| alist ()
| Default Constructor.
| alist (const char *fname)
| Constructor which loads alist class from an alist-file.
void | read (const char *fname)
| Read alist data from a file.
void | write (const char *fname) const
| Write alist data to a file.
int | get_N ()
| Returns N, the number of variable nodes.
int | get_M ()
| Return M, the number of check nodes.
std::vector< std::vector< int > > | get_mlist ()
| Return the m_list variable.
std::vector< std::vector< int > > | get_nlist ()
| Returns the n_list variable.
std::vector< int > | get_num_mlist ()
| Returns the num_mlist variable.
std::vector< int > | get_num_nlist ()
| Returns the num_nlist variable.
int | get_max_num_nlist ()
| Returns the max_num_nlist variable.
int | get_max_num_mlist ()
| Returns the max_num_mlist variable.
void | print_nlist_i (int i)
| Prints the nlist[i] variable.
void | print_mlist_i (int i)
| Prints the mlist[i] variable.
std::vector< std::vector< uint8_t > > | get_matrix ()
| Returns the corresponding H matrix.

## Protected Attributes
bool | data_ok
| A variable indicating if data has been read from alist-file.
int | N
| Number of variable nodes.
int | M
| Number of check nodes.
int | max_num_mlist
| Maximum weight of rows.
int | max_num_nlist
| Maximum weight of columns.
std::vector< int > | num_nlist
| Weight of each column n.
std::vector< int > | num_mlist
| Weight of each row m.
std::vector< std::vector< int > > | mlist
| List of integer coordinates along each rows with non-zero entries.
std::vector< std::vector< int > > | nlist
| List of integer coordinates along each column with non-zero entries.

## Constructor & Destructor Documentation

## ◆ alist() [1/2]

alist::alist | ( |  | ) |
| inline

Default Constructor.

References data_ok.

## ◆ alist() [2/2]

alist::alist | ( | const char * | fname | ) |

Constructor which loads alist class from an alist-file.

## Member Function Documentation

## ◆ get_M()

int alist::get_M | ( |  | ) |

Return M, the number of check nodes.

## ◆ get_matrix()

std::vector< std::vector< uint8_t > > alist::get_matrix | ( |  | ) |

Returns the corresponding H matrix.

## ◆ get_max_num_mlist()

int alist::get_max_num_mlist | ( |  | ) |

Returns the max_num_mlist variable.

## ◆ get_max_num_nlist()

int alist::get_max_num_nlist | ( |  | ) |

Returns the max_num_nlist variable.

## ◆ get_mlist()

std::vector< std::vector< int > > alist::get_mlist | ( |  | ) |

Return the m_list variable.

## ◆ get_N()

int alist::get_N | ( |  | ) |

Returns N, the number of variable nodes.

## ◆ get_nlist()

std::vector< std::vector< int > > alist::get_nlist | ( |  | ) |

Returns the n_list variable.

## ◆ get_num_mlist()

std::vector< int > alist::get_num_mlist | ( |  | ) |

Returns the num_mlist variable.

## ◆ get_num_nlist()

std::vector< int > alist::get_num_nlist | ( |  | ) |

Returns the num_nlist variable.

## ◆ print_mlist_i()

void alist::print_mlist_i | ( | int | i | ) |

Prints the mlist[i] variable.

## ◆ print_nlist_i()

void alist::print_nlist_i | ( | int | i | ) |

Prints the nlist[i] variable.

## ◆ read()

void alist::read | ( | const char * | fname | ) |

Read alist data from a file.

## ◆ write()

void alist::write | ( | const char * | fname | ) | const

Write alist data to a file.

## Member Data Documentation

## ◆ data_ok

bool alist::data_ok
| protected

A variable indicating if data has been read from alist-file.

Referenced by alist().

## ◆ M

int alist::M
| protected

Number of check nodes.

## ◆ max_num_mlist

int alist::max_num_mlist
| protected

Maximum weight of rows.

## ◆ max_num_nlist

int alist::max_num_nlist
| protected

Maximum weight of columns.

## ◆ mlist

std::vector<std::vector<int> > alist::mlist
| protected

List of integer coordinates along each rows with non-zero entries.

## ◆ N

int alist::N
| protected

Number of variable nodes.

## ◆ nlist

std::vector<std::vector<int> > alist::nlist
| protected

List of integer coordinates along each column with non-zero entries.

## ◆ num_mlist

std::vector<int> alist::num_mlist
| protected

Weight of each row m.

## ◆ num_nlist

std::vector<int> alist::num_nlist
| protected

Weight of each column n.

The documentation for this class was generated from the following file:

- alist.h